[Yaourt] Gestionnaire de paquetages pour Archlinux

Annonces, dépannage, évolution du projet yaourt
erdnaxeli
yeomen
Messages : 267
Inscription : ven. 08 févr. 2008, 21:54

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par erdnaxeli » dim. 28 mars 2010, 10:50

Merci de m'avoir répondu. Je comprends mieux le choix du bash.
Pour ce qui est du côté "naturel" du bash, j'ai quelques doutes. Enfin, c'est peut être naturel vu qu'on l'utilise en console, mais ce n'est pas très intuitif, ni très lisible encore une fois. Mais ce n'est que mon avis.
SInon, je ne savais pas qu'il existait des alternatives à yaourt.
Image

Avatar de l’utilisateur
catwell
archer de cavalerie
Messages : 175
Inscription : lun. 13 juil. 2009, 19:00
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par catwell » dim. 28 mars 2010, 13:27

Houlà, plein (mais beaucoup ne sont que partielles) !
En plus de clyde (Lua) je regarderais du côté de Bauerbill (Perl) et paktahn (Lisp).

fmjrey
newbie
Messages : 1
Inscription : ven. 02 avr. 2010, 10:17

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par fmjrey » ven. 02 avr. 2010, 10:32

Merci pour la mise à jour de yaourt!
J'en ai profité pour utiliser powerpill + pacman-color.
J'ai juste un petit pb que j'arrive pas a résoudre: il semble que powerpill n'est pas executé sous root.
Pourtant j'ai configuré pacman, pacdiffviewer, powerpill, pacman-color dans visudo comme ceci:

Code : Tout sélectionner

%wheel ALL=NOPASSWD: /usr/bin/pacman-color
%wheel ALL=NOPASSWD: /usr/bin/pacman
%wheel ALL=NOPASSWD: /usr/bin/powerpill
%wheel ALL=NOPASSWD: /usr/bin/pacdiffviewer
J'ai bien mis dans /etc/yaourtrc:

Code : Tout sélectionner

PacmanBin /usr/bin/powerpill
Et dans /etc/powerpill.conf:

Code : Tout sélectionner

PacmanBin = /usr/bin/pacman-color
Avec sudo powerpill marche sans problème.
Lorsque j'execute yaourt en tant qu'utilisateur j'ai le même message que lorsque j'execute powerpill en tant qu'utilisateur:

Code : Tout sélectionner

$ powerpill -Syu
:: Synchronizing package databases...
 kdemod-core is up to date
 kdemod-extragear is up to date
 kdemod-playground is up to date
 core is up to date
 extra is up to date
 community is up to date
error: no write permissions to any of the following cache directories:
    /var/cache/pacman/pkg
Que faire?

erdnaxeli
yeomen
Messages : 267
Inscription : ven. 08 févr. 2008, 21:54

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par erdnaxeli » ven. 02 avr. 2010, 20:03

j'ai le même chose. C'est bien étrange puisque pourtant sudo est utilisé pour lancer powerpill. Et il n'y a que pour -Sy que ce problème a lieu.
Image

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » dim. 04 avr. 2010, 13:08

salut, powerpill contrairement à pacman demande à être root pour afficher les urls des paquets à mettre à jour:

Code : Tout sélectionner

pacman -Spu
powerpill -Spu

erdnaxeli
yeomen
Messages : 267
Inscription : ven. 08 févr. 2008, 21:54

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par erdnaxeli » lun. 05 avr. 2010, 10:18

C'est pour ça. Et que peut-on faire ?
Image

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » lun. 05 avr. 2010, 13:37

Le signaler à l'auteur de powerpill, lancer yaourt en root, ne pas utiliser powerpill, modifier le code de powerpill (et proposer la modif à l'auteur), modifier celui de yaourt (par contre, là c'est seulement pour toi), pleins de possibilités...

erdnaxeli
yeomen
Messages : 267
Inscription : ven. 08 févr. 2008, 21:54

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par erdnaxeli » mer. 07 avr. 2010, 23:02

j'ai fait encore mieux, j'ai viré powerpill. Il me ralentissait plus qu'autre chose.
Image

nim65s
Daikyu
Messages : 53
Inscription : sam. 31 janv. 2009, 09:45
Localisation : Toulouse

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par nim65s » jeu. 15 avr. 2010, 17:28

Très modeste ( et certainement très inutile ) remarque à propos de la nouvelle version de yaourt, qui ne demande le pw que quand elle en a besoin :
Maintenant, quand on lance un "yaourt -Syu", faut appuyer sur entrée, entrer le mot de passe, et à nouveau appuyer sur entrée, avec à chaque fois un temps de latence ; alors qu'avant, il fallait appuyer une fois de moins sur entrée... durdur ^^
Donc voilà, j'ai lu que c'était un nouveau truc vachement bien, que yaourt ne demande le mot de passe que quand il le faut, mais du coup je me demande : "qu'est-ce que ça apporte vraiment ?"
Voilà voilà, en espérant ne surtout pas irriter ceux qui y ont travaillé, à ce logiciel que j'utilise et apprécie autant :mrgreen:
Image

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » jeu. 15 avr. 2010, 19:17

j'ai pas saisi ce que tu veux dire...
yaourt -Syu va te demander le mdp pour le -y puis ne plus te le demander (si bien sûr t'as sudo bien configuré)

Sinon, yaourt depuis presque le départ (enfin depuis que je connais le programme) ne demande le mdp que quand il en a besoin.

neni
Hankyu
Messages : 14
Inscription : dim. 02 août 2009, 15:10

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par neni » ven. 16 avr. 2010, 07:49

J'ai également quelques modestes remarques à formuler sur le nouveau yaourt.

Tout d'abord, j'avais l'habitude de faire les mises à jour en compilant tous les paquets grace à "yaourt -Suyb". Ces arguments donnent maintenant la liste des paquets à mettre à jour, mais ne lancent pas la compilation.

Je ne sais pas non plus si yaourt est capable (ou l'a été un jour) d'aller chercher les PKGBUILD des dépots un peu exotiques (comme xorg18 actuellement). Par exemple, un "yaourt -S xorg-server" installe bien la version de xorg18, mais un "yaourt -Sb xorg-server" va compiler la version de core.

Enfin, et c'est peut-être normal, aucun de mes tests de "yaourt-git-exp" ne m'a permis de compiler un paquet. Il ne trouve jamais le PKGBUILD bien qu'il ait été téléchargé, que /etc/customizepkg.d/ soit parcouru et que les vérifications de dépendances se soient déroulées normalement.

En tout cas, bravo pour ce merveilleux outils qu'est yaourt.

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » ven. 16 avr. 2010, 12:11

neni a écrit : Tout d'abord, j'avais l'habitude de faire les mises à jour en compilant tous les paquets grace à "yaourt -Suyb". Ces arguments donnent maintenant la liste des paquets à mettre à jour, mais ne lancent pas la compilation.
ça c'est un bug qui avait été corrigé dans la version git (bon maintenant elle a été fusionnée avec exp mais c'est corrigé quand même)
neni a écrit : Je ne sais pas non plus si yaourt est capable (ou l'a été un jour) d'aller chercher les PKGBUILD des dépots un peu exotiques (comme xorg18 actuellement). Par exemple, un "yaourt -S xorg-server" installe bien la version de xorg18, mais un "yaourt -Sb xorg-server" va compiler la version de core.
là c'est différent, pour l'instant, les seuls dépôts d'où il peut récupérer le PKGBUILD (avec -G) sont:

Code : Tout sélectionner

testing core extra community-testing community gnome-unstable kde-unstable
c'est peut être une idée de sortir la var pour qu'elle puisse être modifiée dans /etc/yaourtrc, il y a aussi la possibilité d'utiliser l'archive <depot>.abs.tar.gz (mais elle est pas dispo pour xorg18), à voir...
pour ce qui est de "-Sb" il utilise rsync, et xorg18 y est donc, ça devrait fonctionner (avec git ou git-exp)
neni a écrit : Enfin, et c'est peut-être normal, aucun de mes tests de "yaourt-git-exp" ne m'a permis de compiler un paquet. Il ne trouve jamais le PKGBUILD bien qu'il ait été téléchargé, que /etc/customizepkg.d/ soit parcouru et que les vérifications de dépendances se soient déroulées normalement.
ça par contre, faut m'en dire plus, ça fonctionne chez moi, donc je vois pas trop quel est le soucis, tu peux me dire déjà quelle version tu as testé, et quelle commande tu as lancé.

neni
Hankyu
Messages : 14
Inscription : dim. 02 août 2009, 15:10

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par neni » dim. 18 avr. 2010, 18:37

Après vérification, le problème de yaourt-git-exp se produit lorsque "yaourt -Sb" est appelé en root (je sais, ce n'est pas bien, j'arrête de le faire). En utilisateur normal, tout se passe bien.
Je regarderai un peu plus yaourt-git-exp et vous transmetterai les bugs. Merci encore.

nim65s
Daikyu
Messages : 53
Inscription : sam. 31 janv. 2009, 09:45
Localisation : Toulouse

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par nim65s » mar. 20 avr. 2010, 10:55

tuxce a écrit :j'ai pas saisi ce que tu veux dire...
yaourt -Syu va te demander le mdp pour le -y puis ne plus te le demander (si bien sûr t'as sudo bien configuré)

Sinon, yaourt depuis presque le départ (enfin depuis que je connais le programme) ne demande le mdp que quand il en a besoin.
Mea culpa ^^
En voyant ta réponse, j'ai essayé un yaourt -Syu en console, et ça a très bien marché...
C'est juste qu'avant, je le lançais avec un widget, et en vérifiant la manière dont j'avais codé le widget, j'ai compris : ça fait un yaourt -Su :oops:
( je voulais gagner du temps avec ce widget, mais bon, je le repasse en -Syu, et c'est bon ;) )
Image

Avatar de l’utilisateur
deap
newbie
Messages : 3
Inscription : mer. 02 juin 2010, 23:15

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par deap » mer. 02 juin 2010, 23:26

Bonjour, je suis un utilisateur intensif de yaourt et j'apprécie vraiment toutes ses fonctionnalités, mais je suis aussi un "anti-sudo" pur et dur (on ne se refait pas). Or la dernière version de yaourt semble dépendre de cet immondissime sudo pour fonctionner correctement, y-a-t-il un moyen de l'utiliser sans sudo ?

A défaut, j'utilise l'excellent "nosudo" de Changaco, mais l'avant dernière version de yaourt a introduit un bug obligeant à taper deux fois sur la touche ENTER avant d'avoir le prompt pour le mot de passe, est-ce qu'il serait possible de régler ce problème ?

Merci d'avance.
deap

benjarobin
Maître du Kyudo
Messages : 15568
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par benjarobin » mer. 02 juin 2010, 23:49

Je n'ai pas sudo et yaourt fonctionne très bien en tant que user (Il ne me demande le mot de passe que quand c'est nécessaire)
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » jeu. 03 juin 2010, 11:19

yaourt ne dépend pas de sudo, il utilise "su" si sudo n'existe pas, par contre, makepkg nécessite sudo ou le lancement en root pour pouvoir installer les dépendances, le prochain makepkg détecte la présence de sudo et installe les dépendances avec "su" si sudo n'existe pas.

L'un des soucis avec "nosudo" est le même que "su", les commandes passées en paramètres ne gardent pas les mêmes échapements:
"sudo ls toto\ machin" -> lancera "ls toto\ machin" avec le sudo normal
avec nosudo ou su, ça lancera "ls toto machin" (2 fichiers)

La demande d'appui sur entrée sans prompt s'explique par le fait que "-n" pour le sudo normal demande à sudo de ne pas attendre de mot de passe, je l'utilise pour tester si l'utilisateur a besoin d'un mot de passe ou pas et la sortie est redirigé vers /dev/null, sur "nosudo" il en demande un :|

mais même s'il en demandait pas, il te demandera quand même 2 fois le mot de passe à chaque fois.

si tu veux contourner, tu peux ajouter:

Code : Tout sélectionner

[[ "$1" = "-nl" ]] && exit 0
à la ligne 30 (juste avant arg="$@") de /usr/bin/sudo (de nosudo)
ça évitera la demande superflue.

Avatar de l’utilisateur
deap
newbie
Messages : 3
Inscription : mer. 02 juin 2010, 23:15

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par deap » jeu. 03 juin 2010, 13:28

Merci beaucoup pour toutes ces explications détaillées et pour le correctif, c'est vraiment sympa.
deap

windu.2b
newbie
Messages : 1
Inscription : dim. 12 avr. 2009, 19:07

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par windu.2b » jeu. 17 juin 2010, 19:02

Bonjour,
Je ne suis pas sûr que ce soit le bon endroit, mais dans le doute, je publie quand même l'info.

Yaourt (0.9.4.3-1) est incompatible avec pacman (3.4.0-1) : si vous faites la mise à jour, vous ne pourrez plus utiliser yaourt, car il ne trouvera pas la bibliothèque /usr/lib/libalpm.so.4 (pacman l'ayant remplacée par libalpm.so.5).

Par contre, pacman reste utilisable, ce qui vous permettra soit de travailler avec lui, en attendant une nouvelle version de pacman, soit de downgrader pacman (vers la version 3.3.3-5) et ainsi de pouvoir continuer à utiliser yaourt...

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [Yaourt] Gestionnaire de paquetages pour Archlinux

Message par tuxce » jeu. 17 juin 2010, 19:41

ce n'est pas une question de yaourt ou pacman :)
comme pour tout programme compilé, ce qui est le cas de package-query, le changement de version d'une librairie liée le rend inutilisable, des fois, il faut faire des changements, d'autre fois c'est pas nécessaire.
pour package-query, il n'y a pas d'incompatibilité avec la nouvelle lib, il suffit donc de le recompiler:

Code : Tout sélectionner

wget http://aur.archlinux.org/packages/package-query/package-query.tar.gz
tar zxvf package-query.tar.gz
cd package-query
makepkg -si
cd ..
pour celui dans les dépôts [archlinuxfr], on peut pas le recompiler parce que pacman 3.4 n'est pas encore dans [core], mais on le fera dès qu'il y passera.

Répondre